%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl

%define oname psblas
Name: lib%oname-devel
Version: 2.3.1
Release: alt1
Summary: Parallel Sparse Basic Linear Algebra Subroutines
License: BSD
Group: Sciences/Mathematics
Url: http://www.ce.uniroma2.it/psblas/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %oname-%version.tar.gz

BuildPreReq: %mpiimpl-devel libblacs-devel libatlas-devel liblapack-devel
BuildPreReq: libmetis-devel

%description
Most computationally intensive applications work on irregular and sparse domains
that complicate their implementation on parallel machines. The major goal of the
Parallel Sparse Basic Linear Algebra Subroutines (PSBLAS) project is to provide
a framework to enable easy, efficient and portable implementations of iterative
solvers for linear systems, while shielding the user from most details of their
parallelization. The interface is designed keeping in view a Single Program
Multiple Data programming model on distributed memory machines. 

%package doc
Summary: Documentation for Parallel Sparse Basic Linear Algebra Subroutines
Group: Development/Documentation
BuildArch: noarch

%description doc
Most computationally intensive applications work on irregular and sparse domains
that complicate their implementation on parallel machines. The major goal of the
Parallel Sparse Basic Linear Algebra Subroutines (PSBLAS) project is to provide
a framework to enable easy, efficient and portable implementations of iterative
solvers for linear systems, while shielding the user from most details of their
parallelization. The interface is designed keeping in view a Single Program
Multiple Data programming model on distributed memory machines. 

This package contains development documentation for PSBLAS.

%prep
%setup

%build
mpi-selector --set %mpiimpl
source %mpidir/bin/mpivars.sh
sed -i 's|(BUILDROOT)|%buildroot|' Make.inc.in
%add_optflags %optflags_shared -DHAVE_METIS

%configure \
	--with-blas="-llapack_atlas -lf77blas -lblas -lcblas -latlas" \
	--with-lapack="-llapack" \
	--with-blacs="-lblacsF77init -lblacs -lblacsF77init" \
	--with-metis="-lmetis -lm"
%make_build

%install
%makeinstall_std

install -d %buildroot%_docdir/%name
mv %buildroot%prefix/docs/* %buildroot%_docdir/%name/

%files
%doc Changelog LICENSE README
%_libdir/*
%_includedir/*

%files doc
%_docdir/%name

# TODO: build test examples

%changelog
* Mon Jun 22 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3.1-alt1
- Initial build for Sisyphus

